Bug 38462 - *MAINTAINER UPDATE* Ecartis port not in-line with port standards
Summary: *MAINTAINER UPDATE* Ecartis port not in-line with port standards
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-23 18:30 UTC by GNATS administrator
Modified: 2002-05-24 01:50 UTC (History)
0 users

See Also:


Attachments
file.diff (640 bytes, patch)
2002-05-23 18:30 UTC, GNATS administrator
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description GNATS administrator freebsd_committer 2002-05-23 18:30:07 UTC
	warnings in portlint , specifically related to PORTVERSION

How-To-Repeat: 	run portlint on mail/ecartis port
Comment 1 dwcjr 2002-05-23 18:40:23 UTC
>  PORTNAME=      ecartis
> -PORTVERSION=   1.0.0-snap20020514
> +PORTVERSION=   1.0.0.s20020514
>  CATEGORIES=    mail
>  MASTER_SITES=  ftp://ftp.ecartis.org/pub/ecartis/snapshots/tar/


If you run pkg_version -t...

pkg_version -t 1.0.0-snap20020514 1.0.0.s20020514
>

it shows the older version is newer than the new one, so if you want 
to make this change, you will have to bump PORTEPOCH.  If you can 
wait until the next version bump, ie 1.0.1 then you will not need to 
use the portepoch.  I don't think you need to submit an update as 
long as the committer who takes care of this reads this message.

-- 
David W. Chapman Jr.
dwcjr@inethouston.net	Raintree Network Services, Inc. <www.inethouston.net>
dwcjr@freebsd.org	FreeBSD Committer <www.FreeBSD.org>
Comment 2 Trish Lynch 2002-05-23 18:48:20 UTC
On Thu, 23 May 2002, David W. Chapman Jr. wrote:

> >  PORTNAME=      ecartis
> > -PORTVERSION=   1.0.0-snap20020514
> > +PORTVERSION=   1.0.0.s20020514
> >  CATEGORIES=    mail
> >  MASTER_SITES=  ftp://ftp.ecartis.org/pub/ecartis/snapshots/tar/
>
>
> If you run pkg_version -t...
>
> pkg_version -t 1.0.0-snap20020514 1.0.0.s20020514
> >
>
> it shows the older version is newer than the new one, so if you want
> to make this change, you will have to bump PORTEPOCH.  If you can
> wait until the next version bump, ie 1.0.1 then you will not need to
> use the portepoch.  I don't think you need to submit an update as
> long as the committer who takes care of this reads this message.
>
The version bump won't come for a long time, so bumping PORTEPOCH seems
the best thing to do for now.

-Trish


--
Trish Lynch					trish@bsdunix.net
FreeBSD						The Power to Serve
Ecartis Core Team				trish@listmistress.org
                   http://www.freebsd.org
Comment 3 dwcjr freebsd_committer 2002-05-24 01:46:32 UTC
State Changed
From-To: open->closed

Committed(with modifications), thanks!
Comment 4 dwcjr 2002-05-24 01:48:16 UTC
If you plan on submitting more pr's in the future, try to be careful of the spacing, I had to manually apply this one.  It seems you lost your tabs in this and they were replaced with spaces.  If you have a web site it may be easier just to put a url of the patch up on it.